(
	--Extra RE Deleter
	/*
	Deletes the REs of the kind selected frrom file output.
	F.e. the vrayDenoiser and bumpNormals REs freom the split save.
	*/
	
	bnPath = dPath = undefined
	getclsid
	vr = renderers.current

	fn itsVray input =
	(
		matchpattern (input.classid as string) pattern:"#(1941615238L, 2012806412L)" or matchpattern (input.classid as string) pattern:"#(1770671000L, 1323107829L)"
	)
	
	if (itsVray vr) then
	(
		if vr.output_splitfilename != "" then 
		(
			rootPath = getfilenamepath vr.output_splitfilename
			rootName = getfilenamefile vr.output_splitfilename
			
			if vr.output_separateFolders then 
			(
				print "separate folders output"
				bnPath = rootPath + "bumpNormals\\"
				dPath = rootPath +  "vrayDenoiser\\"
			)
			else
			(
				print "single folder output"
				bnPath = rootPath
				dPath = rootPath 
			)
			
			for f in getfiles (bnPath + rootName + ".*bumpNormals*.*") do deletefile f
			removeDir bnPath
			for f in getfiles (dPath + rootName + ".*VRayDenoiser*.*") do deletefile f
			removeDir dPath
		)
		else
		(
			print "without a properly set split output path the script can't work."
		)
	)
	else
	(
		print "V-Ray needs to be the current renderer!"
	)
	
)